### Function

# GLib ByteArray prepend

#### Declaration

    GByteArray*
    g_byte_array_prepend (
      GByteArray* array,
      const guint8* data,
      guint len
    )

#### Description

Adds the given data to the start of the `GByteArray`. The array will grow in size automatically if necessary.

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`data`

  Type: `const guint8*`

  The byte data to be added.

  The data is owned by the caller of the function.

`len`

  Type: `guint`

  The number of bytes to add.

#### Return value

Type: An array of `guint8`

The `GByteArray`.

The data is owned by the called function.